LinuxQMISDK: CDMASysInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
CDMASysInfo Struct Reference

## Data Fields
sysInfoCommon | sysInfoCDMA
BYTE | isSysPrlMatchValid
BYTE | isSysPrlMatch
BYTE | pRevInUseValid
BYTE | pRevInUse
BYTE | bsPRevValid
BYTE | bsPRev
BYTE | ccsSupportedValid
BYTE | ccsSupported
BYTE | cdmaSysIdValid
WORD | systemID
WORD | networkID
BYTE | bsInfoValid
WORD | baseId
ULONG | baseLat
ULONG | baseLong
BYTE | packetZoneValid
WORD | packetZone
BYTE | networkIdValid
BYTE | MCC [3]
BYTE | MNC [3]

## Detailed Description

Structure for storing the CDMA System Information.

Parameters

  sysInfoCDMA | See sysInfoCommon for more information.
  isSysPrlMatchValid | Indicates whether the system PRL match is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  isSysPrlMatch | Indicates whether the system is in a PRL. Only applies to CDMA/HDR. 0x00 - System is not in a PRL 0x01 - System is in a PRL 0xFF - Not Available If the system is not in a PRL, roam_status carries the value from the default roaming indicator in the PRL. If the system is in a PRL, roam_status is set to the value based on the standard specification.
  pRevInUseValid | Indicates whether the P_Rev in use is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  pRevInUse | The lesser of the base station P_Rev and mobile P_Rev Only applicable for CDMA. 0xFF - Not Available
  bsPRevValid | Indicates whether the base station P_Rev is valid 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  bsPRev | Base station P_Rev. Only applicable for CDMA. 0xFF - Not Available
  ccsSupportedValid | Indicates whether the supported concurrent service is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  ccsSupported | Whether concurrent service is supported. Only applicable for CDMA. 0x00 - Not supported 0x01 - Supported 0xFF - Not Available
  cdmaSysIdValid | Indicates whether the CDMA system ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  systemID | System ID. 0xFFFF - Not Available
  networkID | Network ID. 0xFFFF - Not Available
  bsInfoValid | Indicates whether the base station information is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  baseLat | Base station latitude in units of 0.25 sec. Expressed as a two's complement signed number with positive numbers signifying North latitudes. 0xFFFFFFFF - Not Available
  baseLong | Base station longitude in units of 0.25 sec. Expressed as a two's complement signed number with positive numbers signifying East latitudes. 0xFFFFFFFF - Not Available
  packetZoneValid | Indicates whether the packet zone is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  packetZone | Packet zone (8-bit). 0xFFFF indicates no packet zone. Only applicable for CDMA.
  networkIdValid | Indicates whether the network ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  MCC[PLMN_LENGTH] | Mobile Country Code. MCC digits in ASCII characters
  MNC[PLMN_LENGTH] | Mobile Network Code. MNC digits in ASCII characters An unused byte is set to 0xFF.

## Field Documentation

WORD CDMASysInfo::baseId

ULONG CDMASysInfo::baseLat

ULONG CDMASysInfo::baseLong

BYTE CDMASysInfo::bsInfoValid

BYTE CDMASysInfo::bsPRev

BYTE CDMASysInfo::bsPRevValid

BYTE CDMASysInfo::ccsSupported

BYTE CDMASysInfo::ccsSupportedValid

BYTE CDMASysInfo::cdmaSysIdValid

BYTE CDMASysInfo::isSysPrlMatch

BYTE CDMASysInfo::isSysPrlMatchValid

BYTE CDMASysInfo::MCC[3]

BYTE CDMASysInfo::MNC[3]

WORD CDMASysInfo::networkID

BYTE CDMASysInfo::networkIdValid

WORD CDMASysInfo::packetZone

BYTE CDMASysInfo::packetZoneValid

BYTE CDMASysInfo::pRevInUse

BYTE CDMASysInfo::pRevInUseValid

sysInfoCommon CDMASysInfo::sysInfoCDMA

WORD CDMASysInfo::systemID